Name:           xhamlog
Version:        0.3
Release:        2%{?dist}
Summary:        Logging application for ham radio

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/log.html
Source0:        http://5b4az.chronos.org.uk/pkg/xhamlog/%{name}-%{version}.tar.gz
#desktop entry
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
#Wrapper script for user config
Source3:        %{name}.sh.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake, autoconf, gtk2-devel, desktop-file-utils
#Requires:       

%description
xhamlog is a GTK+ QSO logging application for ham radio. 

xhamlog has built-in CAT control for the FT847 and FT857 transceivers, 
from which it can read some QSO data, like frequency, mode and signal 
strength and enter in the log record. xhamlog can log QSO's in a text 
file as well as in an ADIF formatted file and can import log files 
produced by my xpsk31 and xfhell communication programs. It can also
produce QSL cards in a printable (A4 sized) Postscript file.

%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#install default user configuration file
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/xhamlog/xhamlogrc $RPM_BUILD_ROOT%{_datadir}/%{name}/xhamlogrc

#move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

#install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xhamlog

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Sun Mar 02 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 0.3-2
- Some minor fixes to the wrapper script
* Sun Mar 02 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 0.3-1
- Initial build
